Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Create Alert

Create a new alert for monitoring notebook resources based on specified thresholds.

POST/alerts/

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

  • locationQuerystringrequired

    Location

Request body

application/json

object
namestring
examplealert-260325112117
resource_typestringnotebook | inference_service

Type of resource to monitor

examplenotebook
metric_typestringcpu | memory | disk_usage

Metric on which alert is based

examplememory
operatorstring> | < | >=

Comparison operator

example>
threshold_valuenumber·float

Threshold value for triggering alert

example80
monitoring_group_idsarray

List of monitoring group IDs

severitystringCritical | Warning | Info
exampleCritical

Responses

201Alert created successfully
object
codeinteger
example201
messagestring
exampleAlert created successfully
dataobject
errorsobject